Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dsl.dependencies
Class ModuleFactoryDelegate

    java.lang.Object
      org.gradle.api.internal.artifacts.dsl.dependencies.ModuleFactoryDelegate

    class ModuleFactoryDelegate
    extends java.lang.Object

author:
  Hans Dockter

Property Summary
`ClientModule` | `clientModule`
`org.gradle.api.internal.artifacts.dsl.dependencies.DependencyFactory` | `dependencyFactory`

Constructor Summary
`ModuleFactoryDelegate(ClientModule clientModule, DependencyFactory dependencyFactory)`

Method Summary
`void` | `dependencies(java.lang.Object[] dependencyNotations)`
`void` | `dependency(java.lang.Object dependencyNotation)`
`void` | `dependency(java.lang.Object dependencyNotation, groovy.lang.Closure configureClosure)`
`void` | `module(java.lang.Object dependencyNotation, groovy.lang.Closure configureClosure)`
`void` | `prepareDelegation(groovy.lang.Closure configureClosure)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### clientModule

    ClientModule clientModule

### dependencyFactory

    org.gradle.api.internal.artifacts.dsl.dependencies.DependencyFactory dependencyFactory

Constructor Detail

### ModuleFactoryDelegate

    public ModuleFactoryDelegate(ClientModule clientModule, DependencyFactory dependencyFactory)

Method Detail

### dependencies

    void dependencies(java.lang.Object[] dependencyNotations)

### dependency

    void dependency(java.lang.Object dependencyNotation)

### dependency

    void dependency(java.lang.Object dependencyNotation, groovy.lang.Closure configureClosure)

### module

    void module(java.lang.Object dependencyNotation, groovy.lang.Closure configureClosure)

### prepareDelegation

    void prepareDelegation(groovy.lang.Closure configureClosure)

Groovy Documentation